Box Sign template
A Box Sign template object.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
type | enum<string> | No | The value will always be sign-template. Available options: sign-template. |
id | string | No | Template identifier. |
name | string | No | The name of the template. Can be null. |
email_subject | string | No | Subject of signature request email. This is cleaned by sign request. If this field is not passed, a default subject will be used. Can be null. |
email_message | string | No | Message to include in signature request email. The field is cleaned through sanitization of specific characters. However, some html tags are allowed. Links included in the message are also converted to hyperlinks in the email. The message may contain the following html tags including a, abbr, acronym, b, blockquote, code, em, i, ul, li, ol, and strong. Be aware that when the text to html ratio is too high, the email may end up in spam filters. Custom styles on these tags are not allowed. If this field is not passed, a default message will be used. Can be null. |
days_valid | integer | No | Set the number of days after which the created signature request will automatically expire if not completed. By default, we do not apply any expiration date on signature requests, and the signature request does not expire. Can be null. |
parent_folder | Folder (Mini) | No | The destination folder to place final, signed document and signing log. Only ID and type fields are required. The root folder, folder ID 0, cannot be used. |
source_files | array of File (Mini) | No | List of files to create a signing document from. Only the ID and type fields are required for each file. |
are_fields_locked | boolean | No | Indicates if the template input fields are editable or not. |
are_options_locked | boolean | No | Indicates if the template document options are editable or not, for example renaming the document. |
are_recipients_locked | boolean | No | Indicates if the template signers are editable or not. |
are_email_settings_locked | boolean | No | Indicates if the template email settings are editable or not. |
are_files_locked | boolean | No | Indicates if the template files are editable or not. This includes deleting or renaming template files. |
signers | array of Signer fields for Templates | No | Array of signers for the template. Note: It may happen that some signers specified in the template belong to conflicting segments (user groups). This means that due to the security policies, users are assigned to segments to prevent exchanges or communication that could lead to ethical conflicts. In such a case, an attempt to send a sign request based on a template that lists signers in conflicting segments will result in an error. Read more about segments and ethical walls. |
additional_info | object | No | Additional information on which fields are required and which fields are not editable. |
ready_sign_link | object | No | Box’s ready-sign link feature enables you to create a link to a signature request that you’ve created from a template. Use this link when you want to post a signature request on a public form — such as an email, social media post, or web page — without knowing who the signers will be. Note: The ready-sign link feature is limited to Enterprise Plus customers and not available to Box Verified Enterprises. Can be null. |
custom_branding | object | No | Custom branding applied to notifications and signature requests. Can be null. |
Example
Box Sign templates
A list of templates, as returned from any Box Sign API endpoints by default.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
prev_marker | string | No | The marker for the start of the previous page of results. Can be null. |
entries | array of Box Sign template | No | A list of templates. |
Example
